use mquery::{
    query::{self, Metric},
    QueryManager,
};

mod utils;

#[tokio::test]
async fn deserialize_response() {
    let _resp = QueryManager::new(utils::URL.parse().unwrap())
        .query("metric")
        .await
        .unwrap();
}

#[test]
fn query_with_metric_selector() {
    let metric = query::Metric::new("some_metric");
    #[allow(clippy::let_underscore_future)]
    let _ = QueryManager::default().query(metric);
}

#[cfg(feature = "multi")]
#[tokio::test]
async fn multi_queries() {
    let res = QueryManager::new(utils::URL.parse().unwrap())
        .query_multi([Metric::new("metric"), Metric::new("metric_two")])
        .await
        .expect("failed to get multi query result");
    assert!(res.len() == 2);
}

#[tokio::test]
async fn raw_response() {
    QueryManager::new(utils::URL.parse().unwrap())
        .query_raw("metric")
        .await
        .unwrap();
}
